#
# spec file for package mipv6d
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mipv6d
Version:        2.0.2.umip.0.4
Release:        29.4
Summary:        MIPL - Mobile IPv6 for Linux
License:        GPL-2.0
Group:          Productivity/Networking/Other
Url:            http://umip.org/
Source0:        mipv6-2.0.2-umip-0.4.tar.bz2
Source1:        mipv6d.service
Patch1:         mipv6-2.0.2-umip-0.4.diff
Patch2:         mipv6d-openssl11.patch
BuildRequires:  automake
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  indent
#BuildRequires:  libnetlink-devel
BuildRequires:  openssl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
MIPL Mobile IPv6 for Linux is an implementation of the Mobility Support
in IP version 6 (RFC 3775).

This user space part works together with Mobile IPv6 enabled Linux
kernels.  See INSTALL and any other documents referred there for
installation instructions and required kernel compile options.

MIPL Mobile IPv6 for Linux has been developed in the GO-Core Project at
the Helsinki University of Technology.	See AUTHORS for core
development team and THANKS for complete listing of contributors.

%prep
%setup -q -n mipv6-2.0.2-umip-0.4
%patch -P 1 -p0
%patch -P 2 -p1

%build
aclocal
autoheader
automake --foreign --copy --add-missing
autoconf
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
# FIXME: you should use the %%configure macro
./configure \
	--disable-debug		\
	--prefix=%{_prefix}	\
	--sysconfdir=/etc
make %{?_smp_mflags} clean
make %{?_smp_mflags}

%install
%make_install
install -m0755 -d %{buildroot}%{_sysconfdir}
install -m0755 -d %{buildroot}%{_unitdir}
install -m0644    %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service
ln -sf            %{_sbindir}/service \
                  %{buildroot}%{_sbindir}/rcmipv6d
touch             %{buildroot}%{_sysconfdir}/mip6d.conf

%pre
%service_add_pre mipv6d.service

%post
%service_add_post mipv6d.service

%preun
%service_del_preun mipv6d.service

%postun
%service_del_postun mipv6d.service

%files
%defattr(-,root,root)
%doc AUTHORS BUGS COPYING README INSTALL.kernel README.IPsec NEWS
%doc extras/*
%doc licenses/*
%{_mandir}/man1/mip6d.1%{ext_man}
%{_mandir}/man5/mip6d.conf.5%{ext_man}
%{_mandir}/man7/mipv6.7%{ext_man}
%ghost %config(noreplace) %attr(600,root,root) %{_sysconfdir}/mip6d.conf
%{_unitdir}/%{name}.service
%{_sbindir}/mip6d
%{_sbindir}/rcmipv6d

%changelog
* Fri Feb 23 2024 pgajdos@suse.com
- Use %%patch -P N instead of deprecated %%patchN.
* Fri Oct 15 2021 Johannes Segitz <jsegitz@suse.com>
- Drop ProtectClock hardening, can cause issues if other device acceess is needed
* Wed Oct  6 2021 Johannes Segitz <jsegitz@suse.com>
- Added hardening to systemd service(s) (bsc#1181400). Modified:
  * mipv6d.service
* Tue Dec 12 2017 meissner@suse.com
- mipv6d-openssl11.patch: mipv6d ported to openssl 1.1.
* Tue Dec 12 2017 mt@suse.de
- Build against libopenssl-1_0_0-devel
- Fixed incorrect memset lengths and added explicit braces around
  conditional debug macro calls that may expand to empty if-body.
  New patch file: mipv6-2.0.2-umip-0.4.diff
* Wed Mar 15 2017 dimstar@opensuse.org
- Drop SysV init script, replaced with a systemd unit.
- Add the relevant systemd macros to the scriptlets.
* Thu Feb 11 2016 meissner@suse.com
- Use the builtin libnetlink, as the upstream is no longer compatible
  to the one mipv6d was developed against.
* Tue Aug 26 2014 jengelh@inai.de
- Replace libnl-1_1-devel build time dependency by libnetlink-devel
  where -lnetlink really lives.
* Tue Mar 12 2013 cfarrell@suse.com
- License update: GPL-2.0
  No indication of aggregation.
* Wed Mar  6 2013 coolo@suse.com
- update license to new format
* Fri Dec  2 2011 coolo@suse.com
- add automake as buildrequire to avoid implicit dependency
* Thu Nov  3 2011 mt@suse.com
- Updated to git master commit 74528e1f fixing a memory leak,
  adopted build requires, touched ghost mip6d.conf, test the
  config size in the init script.
* Fri Sep 16 2011 jengelh@medozas.de
- Select libnl-1_1-devel
* Mon Jan 10 2011 mt@suse.de
- Added mip6d init script
* Mon Jan 10 2011 mt@suse.de
- Switched to mipv6-2.0.2-umip-0.4 from http://www.umip.org/, git
  repository master at commit b9ea7fd6, including various fixes
  and features, NEMO support and addressing the security issues as
  reported and fixed in the past by Sebastian Krahmer (bnc#424311,
  CVE-2010-2522, CVE-2010-2523).
* Thu Sep  9 2010 mt@suse.de
- security fixes (bnc#424311):
  * CVE-2010-2522 mipv6 daemon local message spoofing
  * CVE-2010-2523 mipv6 daemon remote buffer overflow
* Wed Aug  5 2009 aj@suse.de
- Fix build with new glibc (mipv6d-build.patch).
* Fri Sep  5 2008 kkeil@suse.de
- first version 2.0.2
